﻿

<ng-template #component>
    <form-template titleForm="Cambiar contraseña" titleIcon="mdi mdi-account-edit" [form]="form" [busy]="service.loading"
        [enableSwitch]="false" (changes)="changes($event)" addButtonLabel="Guardar">
        <form #form="ngForm">
            <div class="row">
                <div class="col-md-9" input-wrapper label="Contraseña">
                    <input type="password" class="form-control" [(ngModel)]="service.model.OldPassword" name="oldPassword"
                        #oldPassword="ngModel" minlength="6" ngbAutofocus required>
                </div>
            </div>
            <div class="row">
                <div class="col-md-9" input-wrapper label="Nueva Contraseña">
                    <input type="password" class="form-control" [(ngModel)]="service.model.NewPassword" name="newPassword"
                        #newPassword="ngModel" minlength="6" required>
                </div>
            </div>
            <!-- <div class="row">
                <div class="col-md-9" input-wrapper label="Repetir Nueva Contraseña">
                    <div class="input-group">
                        <input type="password" class="form-control" [(ngModel)]="service.model.repeatPassword" name="repeatPassword"
                            #repeatPassword="ngModel" required minlength="6"
                            (input)="service.model.validPassword = service.model.repeatPassword == service.model.NewPassword">
                        <div class="input-group-append">
                            <div class="input-group-text" [ngClass]="[service.model.validPassword ? 'bg-success' : 'bg-light']">
				                <i class="mdi mdi-check-bold" [ngClass]="[service.model.validPassword ? 'text-white' : 'text-secondary']"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div> -->
        </form>
    </form-template>
</ng-template>


